package com.cr.common

import android.content.Context
import android.content.res.ColorStateList
import androidx.core.content.ContextCompat

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/7/31 09:45
 * 描述：颜色管理
 */
class CrColorManager {
    /**
     * 静态方法
     */
    companion object{
        /**
         * 从XML文件中获取颜色
         * @param context Context 上下文
         * @param color Int 颜色索引
         * @return ColorStateList 颜色
         */
        fun getColorFromXml(context: Context,color:Int):ColorStateList{
            var resColor = ContextCompat.getColorStateList(context,color)
            return resColor!!
        }

        /**
         * 从XML文件中获取颜色
         * @param context Context 上下文
         * @param color Int 颜色索引
         * @return Int 颜色
         */
        fun getColor(context: Context,color: Int):Int{
            return ContextCompat.getColor(context,color)
        }
    }
}